Description

Currently, if a FormElement that is not specified in the current FormDefinition (e.g. current preset) an Exception is thrown.
It should be possible to skip such elements.

In the FormBuilder (rootForm.renderingOptions.previewMode == TRUE) unknown elements should be replaced by some
"MissingFormElement" that renders some error message.
When rendering the Form it should be possible to simply skip those elements.
Possibly this could be achieved with some setting skipUnknownFormElements

Associated revisions
Revision 16cf7e6c - 2013-10-29 15:28 - Bastian Waidelich

[FEATURE] Skip unknown FormElements

With this change FormElements without definition in the current
preset can be skipped while rendering.

In ``previewMode`` (e.g. inside the FormBuilder) instead of an
exception an error message is now rendered in the form::

&lt;div class="typo3-form-unknown-element" data-element="element/path"&gt;
   &lt;em&gt;Unknown Form Element "&lt;type&gt;"&lt;/em&gt;
  &lt;/div&gt;

During rendering of the Form unknown Form Elements still throw
an exception by default for backwards compatibility reasons.
But this behavior can be changed for single presets with the
new rendering option ``skipUnknownElements``::

TYPO3:
  Form:
    presets:
      'somePresetName':
        formElementTypes:
          'TYPO3.Form:Base':
            renderingOptions:
              skipUnknownElements: TRUE

With this option set, unknown Form Elements won't be rendered
at all.

Change-Id: I1746d636d013c8a345f8dc668037c64c656894ed
Resolves: #34198
History
#1 - 2013-10-21 16:16 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24929

#2 - 2013-10-23 10:25 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24929

#3 - 2013-10-29 15:29 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24929

#4 - 2013-10-29 15:36 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:16cf7e6cae8d140e57b7973ab75af14c64479255.
